Name:		xblas
Version:	1.0.248
Release:	2%{?dist}
Summary:	Extra Precise Basic Linear Algebra Subroutines
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.netlib.org/xblas
Source0:	http://www.netlib.org/%{name}/%{name}-%{version}.tar.gz
Patch0:		xblas-1.0.247-shared.patch
BuildRequires:	gcc-gfortran, autoconf, m4, indent

%description
The XBLAS library of routines is part of a reference implementation for 
the Dense and Banded Basic Linear Algebra Subroutines, along with their 
Extended and Mixed Precision versions, as documented in Chapters 2 and 4 
of the new BLAS Standard.

%package devel
Summary:	Development files for xblas
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers and libraries for developing code that uses xblas.

%prep
%setup -q
%patch0 -p1 -b .shared
autoconf

%build
%configure
make makefiles
# smp_mflags doesn't work
make lib

%install
mkdir -p %{buildroot}%{_libdir}
install -m0755 libxblas.so.1.0.0 %{buildroot}%{_libdir}
pushd %{buildroot}%{_libdir}
ln -s libxblas.so.1.0.0 libxblas.so.1
ln -s libxblas.so.1.0.0 libxblas.so
popd
mkdir -p %{buildroot}%{_includedir}
install -m0644 src/*.h %{buildroot}%{_includedir}

%check
make tests

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE doc/report.ps
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Fri Aug 21 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.248-2
- drop README.devel, move README to -devel
- don't bother deleting buildroot at the beginning of install
- no need to define BuildRoot anymore

* Thu Apr 23 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.248-1
- update to 1.0.248

* Mon Apr 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.247-1
- initial package
